using Netina.Infrastructure.Models.RestApi.Zarinpal;

namespace Netina.Infrastructure.RestServices;

public interface IZarinpalRestApi
{

    [Post("/v4/payment/request.json")]
    Task<string> GetPaymentLinkAsync([Body] ZarinaplPaymentLinkRequest request);
    [Post("/v4/payment/verify.json")]
    Task<ZarinaplPaymentVerifyResponse> VerifyPaymentAsync([Body] ZarinaplVerifyPaymentRequest request);
}